﻿# You can place the script of your game in this file.

# Declare images below this line, using the image statement.
# eg. image eileen happy = "eileen_happy.png"

# Declare characters used by this game.
define P = Character('[playername!t]', color="#b6d6e9")
define L = Character('Lady', color="#a186be")
define C = Character ('Child', color="#ec008c")

#characters
image chara_lady = "NPC_Lady_norm.png"
image L_Happy = "NPC_Lady_happy.png"
image L_Annoyed = "NPC_Lady_annoyed.png"
image L_Talky = "NPC_Lady_talky.png"

image C_Cry = "NPC_Child_cry.png"
image C_Norm = "NPC_Child_norm.png"
image C_Sniff = "NPC_Child_sniff.png"
#backgrounds
image bg_black = "bg_black.png"
image bg_hway = "bg_hallway.png"
image bg_cave = "bg_cave.png"

# Variable

# The game starts here.
label Room_Child:
    scene bg_hway
    with Dissolve (.5)
    pause .5

    "Lady and I walk down a long hallway."

    P "{i}I hope Apple is ok. {/i}"

    P "Are we really coming back for her?"

    show L_Happy
    L "Heh."
    hide L_Happy

    "Lady and I reach an opening."

    scene bg_cave
    with Dissolve (.5)
    pause .5

    "There’s a lake in the center. And two sets of oxygen tanks with masks."

    show L_Talky
    L "There’s fish in this lake."
    hide L_Talky

    show chara_lady    
    L "This lake must be somehow connected to a ocean."

    L "This is our way out!"

    P "{i}Good thing there’s two oxygen tanks.{/i}"
    hide chara_lady

    show C_Norm
    C "Mama?"

    "I turn around."

    "Out of no where a little girl, around 10 has appeared."

    C "Mama!"
    hide C_Norm

    "The little girl runs towards Lady."

    "I turn towards Lady. She's already taken one of the oxygen tanks."

    show L_Annoyed
    L "I’m not your mama. Just because you are my husbands child, doesn’t make you mine."

    L "Now, if you excuse me. I have two children waiting for me."
    hide L_Annoyed

    P "WAI-"

    "Lady dives into the lake."

    show C_Cry
    C "Mama!"

    P "{i}Wonderful.{/i}"

    P "{i}Okay [playername!t], think!{/i}"

    P "{i}I don't know how deep this lake goes, so there's no way both this girl and I will be able to escape together.{/i}"

    P "{i}One of us will have to stay.{/i}"

    P "{i}So on the one hand, I just met this kid. I don’t even know her name.{/i}"

    P "{i}However, I can’t leave a child here on her own.{/i}"

    P "{i}So. What am I going to do?{/i}"
    hide C_Cry

menu: 
    "Leave the child behind and escape":
        jump end_player_escape 

    "Stay behind and let the child escape":
        jump end_player_stays

label end_player_escape:
    P "{i}I’m not responsible for her.{/i}"

    P "{i}And the one who is just swam off.{/i}"
 
    "The little girl keeps sobbing and doesn’t notice me picking up the second oxygen tank."

    "I strap it on and drive into the lake."

    "I have no idea how far this lake goes, so I keep swimming."

    scene bg_black
    "END"

    jump child_end

label end_player_stays:
    show C_Cry
    P "{i} I don’t think I can just leave this child here. I’m sure there’s another way out...{/i}"

    "I pick up the second oxygen tank and walk over to the sobbing child"

    P "It's ok."
    hide C_Cry
    show C_Sniff
    C "*sob* Mama... *sob*"

    P "Listen. If you want to see your Mama again I need you to put this on."

    "I help the child strap on the oxygen tank."

    P "Ok, now mama is on the other side of this lake."

    P "So you are going to have to swim, can you do that?"

    "The girl nods."

    P "Good girl."
    hide C_Sniff

    "The girl drives into the lake."

    P "{i}I hope she'll be ok.{/i}"

    P "{i}Now, what am I going to do?{/i}"

    P "{i}I guess I'll head back to where Apple is.{/i}"

    scene bg_black

    "END"

label child_end:
return
