# You can place the script of your game in this file.

# Declare images below this line, using the image statement.
# eg. image eileen happy = "eileen_happy.png"

# Declare characters used by this game.
define P = Character('[playername!t]', color="#b6d6e9")
define A = Character('Apple', color="#f36bae")

#images
image chara_apple = "NPC_Apple_norm.png"
image A_Happy = "NPC_Apple_happy.png"
image A_Sad = "NPC_Apple_sad.png"
image A_Talky = "NPC_Apple_talky.png"

image bg_black = "bg_black.png"
image bg_Pills = "bg_cure.png"


# Variable

# The game starts here.
label Room_Cure:
    
    scene bg_Pills
    with Dissolve (.5)
    pause .5

    show A_Sad
    P "Are you alright?"

    A "*Huff Huff* ...Yes. *Huff*"

    A "Thanks for your help back there."

    P "It's alright."
    hide A_Sad

    "Suddenly the vents in the room open up and a strange smoke is released." 

    show A_Sad
    A "*Cough* What is this?"

    P "There's blood coming from your nose!"

    A "Huh!?"

    "Apple starts coughing again and falls to the ground."

    A "*Cough cough cough*"

    P "Are you alright?"

    hide A_Sad
    A "*Cough* ...poison... *cough* gas... *cough*"

    "In the center of the room there’s a table with a small glass bottle."

    "On the bottle the word \'Antidote\' is printed on the label"

    "Quickly I open up the bottle. Only one pill falls out."

    P "{i}Crap.{/i}"

    "Apple is still on the floor now gasping for air."

    P "{i}Ok, think.{/i}"

    P "{i}Apple is dying. {/i}"

    P "{i}But soon the poison will affect me and I’ll be on the floor gasping for air.{/i}"

    P "{i}There’s only one pill.{/i}"

menu:
    "Take the pill":
        jump take_pill

    "Give the pill to Apple":
        jump give_pill

label take_pill:
    "Apple never notices the pill."

    P "{i}It's now or never.{/i}"

    "Thankfully the pill was small enough to swallow without water." 

    "The smoke has cleared away now."

    "Apple is still on the floor. Motionless."

    P "...Sorry Apple."

    P "{i}Okay [playername!t]! To the next room...{/i}"

    show bg_black
    "END"
    jump cure_end

label give_pill:
    P "{i}I'm sure I'll be fine.{/i}"

    P "Hey! Take this!"

    "I open Apple’s mouth and place the pill inside."

    P "Swallow that! It's an antidote."

    "Apple nods."

    P "Everything is going to be ok."

    P "*cough*"
    
    P "{i}Ah.{/i}"
    show bg_black

    "END"
    jump cure_end

label cure_end:
hide bg_black
return
