﻿# You can place the script of your game in this file.

# Declare images below this line, using the image statement.
# eg. image eileen happy = "eileen_happy.png"

# Declare characters used by this game.
define P = Character('[playername!t]', color="#b6d6e9")
define Gy = Character('Guy', color="#5c8906")
define Gk = Character('Geek', color="#c7b299")

#images
image chara_guy = "NPC_Guy_norm.png"
image Gy_Talky = "NPC_Guy_talky.png"
image Gy_Annoyed = "NPC_Guy_annoyed.png"
image Gy_Happy = "NPC_Guy_happy.png"

image chara_geek = "NPC_Geek_norm.png"
image Gk_Annoyed = "NPC_Geek_annoyed.png"
image Gk_Happy = "NPC_Geek_happy.png"
image Gk_Sad = "NPC_Geek_sad.png"
image Gk_Talky = "NPC_Geek_talky.png"

image bg_black = "bg_black.png"
image bg_BRiver = "bg_river.png"

# Variable 


# The game starts here.
label Room_boat:
    
    show Gk_Sad at left
    show chara_guy at right
    
    P "{i}I wonder who else voted for Lady?{i}"

    P "{i}Why did no one vote for me...{/i}"

    P "{i}We could have avoided this if we had a chance to talk before we voted...{/i}" 
    hide chara_guy

    show Gy_Annoyed at right
    Gy "I wonder how much longer we are going to be trapped here for..."

    Gk "Not sure."
    hide Gy_Annoyed
    hide Gk_Sad

    "The elevator finally stops, the doors open and everyone exits."

    show chara_guy
    Gy "Finally."
    hide chara_guy

    scene bg_BRiver
    with Dissolve (.5)
    pause .5
    
    show Gy_Annoyed
    Gy "Where are we now?"
    hide Gy_Annoyed

    show chara_geek
    Gk "Not sure."
    hide chara_geek

    show Gk_Talky
    Gk "The elevator is out again."
    hide Gk_Talky

    show Gy_Annoyed
    Gy "So we are stuck here?"
    hide Gy_Annoyed

    show Gk_Sad
    Gk "Looks like it."
    hide Gk_Sad

    show chara_geek
    Gk "This is the biggest room yet."

    P "Are you saying that we're still in the labyrinth?"

    Gk "I think so..."

    Gk "Anyway, let's have a look around."
    hide chara_geek

    "Guy, Geek and I walk along a river."

    "There are a number of boats along the river. Most are damaged."

    show Gk_Happy
    Gk "This boat isn’t too damaged."

    Gk "I think we can use it to cross the river."

    P "It looks a bit small for three people."
    hide Gk_Happy

    show Gk_Talky
    Gk "Well, two people can cross first. Then one person will need to row the boat back across and pick up the third person."
    hide Gk_Talky

    show Gy_Talky
    Gy "I should be in the first team."
    hide Gy_Talky

    show Gy_Happy
    Gy "I'm the strongest. I'll be able to row the boat across, back and then across again."
    hide Gy_Happy

    show Gk_Annoyed
    Gk "Rowing can be taken in turns."
    hide Gk_Annoyed

    show Gy_Happy
    Gy "Yeah but someone will have to row the boat across twice!"
    hide Gy_Happy

    show Gy_Annoyed
    Gy "Unless you want [playername!t] to row the boat."
    hide Gy_Annoyed

    show Gy_Happy
    Gy "Sorry [playername!t], but there's no way you'd be able to row the boat across that river."
    hide Gy_Happy

    show Gk_Talky
    Gk "On the topic of the river, it's getting faster. We need to stop wasting time and work out who will be in team one."

    Gk "If we wait too long the boat will get washed away down the river."
    hide Gk_Talky

    show chara_guy
    Gy "Like I said, I should be in team 1."

    Gy "I'll take [playername!t] across and then I'll come back for you."
    hide chara_guy

    show Gk_Annoyed
    Gk "I'm sorry but how do I know you will be coming back for me?"

    Gk "I know you voted for me."
    hide Gk_Annoyed

    show Gy_Annoyed
    Gy "What?! How would you know that?"
    hide Gy_Annoyed

    show Gk_Annoyed
    Gk "So it's true?"

    Gk "I'll take the boat across with [playername!t] first."

    Gk "And then I'll come back for you."
    hide Gk_Annoyed

    show Gy_Annoyed
    Gy "Yeah, no."

    Gy "How do I know that you won't leave me behind?"

    P "Um...why don't I just stay behind?"
    hide Gy_Annoyed

    show Gk_Annoyed
    Gk "No."

    Gk "You need to cross first."

    show chara_guy at left behind Gk_Annoyed
    Gy "Yeah, I agree. You need to cross first."

    Gy "You are the youngest. You need to survive."

    Gy "I guess that means you should pick who you want to cross the river with."
    
    P "{i}Ugh. Why is it always me who has to make these choices...{/i}"

    P "{i}Guy or Geek. Who should I pick?{/i}"
    
    hide Gk_Annoyed
    hide chara_guy

menu:
    "Cross the river with Geek":
        jump boat_geek

    "Cross the river with Guy":
        jump boat_guy

label boat_guy:
    P "I'll take the strong guy."

    show Gy_Happy
    Gy "Yes!"

    Gy "Don't worry. I'll come back for you."
    hide Gy_Happy

    show Gk_Annoyed
    Gk "I'll wait here then."
    hide Gk_Annoyed

    "Guy and I get into the boat."

    "As Guy rows the boat across the river, the flow gets faster and faster."

    show chara_guy
    Gy "This isn't good. The river has gotten too fast."

    Gy "JUMP!"
    hide chara_guy

    "The boat hits into a rock and shatters!"

    "I fall into the water."

    " "

    "Guy grabs my hand and pulls me out of the river."

    show chara_guy
    P "...Th-Thanks..."

    Gy "It's ok."
    hide chara_guy

    show Gy_Talky
    P "The boats gone. What are we going to do now?"

    Gy "We are going to keep moving."
    hide Gy_Talky

    show chara_guy
    P "What abou-"
    
    Gy "He's on his own."

    Gy "C'mon let's go. I saw a door around here."
    hide chara_guy

    "Guy still holding my hand drags me through a door."

    "Geek is still standing on the other side of the river."

    "The doors close."

    jump Room_wolves

label boat_geek:

    P "The strong guy can wait for the boat to come back."
    
    show Gy_Annoyed
    Gy "Oh C'MON!"
    hide Gy_Annoyed

    show Gk_Happy
    Gk "You heard [playername!t]. You can wait. Don't worry, I'll come back for you."
    hide Gk_Happy

    show Gy_Annoyed
    Gy "I dont like it when you say it like that."
    hide Gy_Annoyed

    show Gk_Happy
    Gk "Heh."
    hide Gk_Happy

    "Geek and I hop into the boat leaving Guy on his own."

    P "{i}Guy will just have to wait for Geek to come back for him.{/i}"

    show Gk_Talky
    Gk "This isn't good."
    hide Gk_Talky

    show chara_geek
    P "Huh?"

    Gk "The river is getting faster."

    Gk "We might not make it across!"
    hide chara_geek

    "An oar slips out of Geek's hands."

    show Gk_Talky
    Gk "Crap!"

    Gk "I hope you can swim!"
    hide Gk_Talky

    "Geek grabs my arm and jumps out of the boat."

    "The boat hits into a rock and smashes into pieces."

    "Geek drags me out of the river."

    show chara_geek
    Gk "Well, good news we are on the other side."

    Gk "Bad news, the boat is gone."

    P "What are we going to do?"

    Gk "Nothing. That idiot can look after himse-."
    hide chara_geek

    show Gk_Talky
    Gk "What is that guy doing?!"
    hide Gk_Talky

    "I look across the river. Guy has started swimming across."

    "But the river is too fast for Guy and suddenly he’s gone. Swept down the river."

    jump Room_weight    
return
