﻿# You can place the script of your game in this file.

# Declare images below this line, using the image statement.
# eg. image eileen happy = "eileen_happy.png"

# Declare characters used by this game.
define P = Character('[playername!t]', color="#b6d6e9")
define Gy = Character('Guy', color="#5c8906")

#images
image chara_guy = "NPC_Guy_norm.png"
image Gy_Talky = "NPC_Guy_talky.png"
image Gy_Annoyed = "NPC_Guy_annoyed.png"
image Gy_Happy = "NPC_Guy_happy.png"

image bg_black = "bg_black.png"
image bg_crates = "bg_murder.png"
image bg_OS = "bg_outside.png"

# Variable


# The game starts here.
label Room_murder:
    scene bg_black
    with Dissolve (.5)    
    
    "The stairs seem to go on forever, every turn leading to more stairs."

    P "{i}I hear foot steps. Guy can't be that far ahead of me...{/i}"

    "Up, up, up and up."

    P "{i}How long have I been climbing these stairs for?{/i}"

    P "{i}How far ahead is Guy? I can still hear his foot steps.{/i}"

    "Finally the stairs come to an end."

    scene bg_crates
    with Dissolve (.5)
    pause .5   

    P "{i}A room full of wooden crates.{/i}"

    P "{i}Ah. There's Guy!{/i}"

    "Guy is busy searching through a crate. He picks up a knife."

    "I duck behind a crate, Guy hasn't noticed me yet."

    "Guy drops the knife onto a small pile of knives and goes back searching the crates."

    P "{i}All these crates are filled with weapons. What kind of room is this?{/i}"

    P "{i}And what is Guy planning with all those knives...?{/i}"

    "Guy tucks a knife under his jumper"

    show Gy_Annoyed
    Gy "She was the world to me! I was going to marry her!"

    P "{i}Is he talking about his girlfriend?{/i}"

    Gy "I’ll show that bitch. She and that bastard she cheated on me with. I’ll kill them both!"
    hide Gy_Annoyed

    P "{i}I don’t understand. Did Guy lie about his girlfriend?{/i}"

    "Guy picks up another knife and starts heading towards a door at the far end of the room."

    P "{i}An exit!{/i}"

    "I slowly cross the room, keeping my distance from Guy."

    P "{i}Ok. Let’s think this though.{/i}" 

    P "{i}1. Guy has a bunch of knives.{/i}" 

    P "{i}2. Guy is planning to kill his girlfriend and her lover with those knives.{/i}"

    P "{i}I can’t let Guy murder two innocent people! I need to do something, but what?{/i}"

    "My hand brushes across an axe."

    P "{i}...{/i}"

    P "{i}Ok [playername!t]. I can stop Guy now... With this axe.{/i}"

    P "{i}No one will ever find out...{/i}"

    P "{i}I can save two people's lives.{/i}"

    P "{i}...{/i}"

    P "{i}...But can I really do that?{/i}"

    P "{i}Can I really kill another person?{/i}"
menu:
    "Take the axe":
        jump take_axe

    "Leave the axe":
        jump leave_axe

label take_axe:
    P "{i}I can.{/i}"

    P "{i}I need to stop Guy before he reaches the exit.{/i}"

    "I take the axe and slowly creep towards Guy."

    "With all my strength I swing the axe into Guy’s neck. He falls."

    scene bg_black
    with Dissolve (.5)

    P "*Huff. Huff. Huff.*"

    P "...I did it."

    P "..."

    P "{i}How am I going to clean all this blood up now?{/i}"

    "END"

    jump end_murder

label leave_axe:
    P "{i}I can't...{/i}"

    P "{i}Maybe Guy is the same and won't be able to murder another person...{/i}"

    "Guy opens the door and steps out."

    "I can hear the sounds of a busy road."

    "I rush to the door and slide through before it shuts."

    scene bg_OS
    with Dissolve (.5)

    P "{i}...{/i}"
    
    P "{i}I'm back outside.{/i}"

    "Guy is long gone."

    scene bg_black
    with Dissolve (.5)

    "END"

label end_murder:
return
