# You can place the script of your game in this file.

# Declare characters used by this game.
define P = Character('[playername!t]', color="#b6d6e9")
define L = Character('Lady', color="#a186be")
define A = Character('Apple', color="#f36bae")

#images

#characters
image chara_apple = "NPC_Apple_norm.png"
image A_Happy = "NPC_Apple_happy.png"
image A_Sad = "NPC_Apple_sad.png"
image A_Talky = "NPC_Apple_talky.png"

image chara_lady = "NPC_Lady_norm.png"
image L_Happy = "NPC_Lady_happy.png"
image L_Annoyed = "NPC_Lady_annoyed.png"
image L_Talky = "NPC_Lady_talky.png"

#backgrounds
image bg_black = "bg_black.png"
image bg_ppShut = "bg_plate1.png"
image bg_ppOpen = "bg_plate2.png"

# Variable

# The game starts here.
label Room_pressure:

    show chara_lady at right
    show chara_apple at left
    "The ride in the elevator is long and silent. Guy and Geek have been left behind."

    hide chara_apple
    show A_Sad at left
    A "I hope the guys will be alright."

    hide chara_lady
    show L_Happy at right
    L "I'm sure they will be fine."
    hide A_Sad

    show A_Happy at left
    A "Thanks for picking me."

    A "It means a lot to me."

    A "You too, [playername!t]!"
    hide A_Happy
    show A_Sad at left

    A "I always get picked on for being overweight."
    hide A_Sad 

    show A_Happy at left
    A "Thanks for standing up for me."

    A "When we get out of here, lets hang out!"

    L "That would be nice."

    "The elevator comes to a stop."

    hide A_Happy 
    hide L_Happy

    scene bg_elevator3
    "The metal doors open up to reveal a small room."

    "Lady is the first one of the elevator."

    "Apple stays behind pushing a few buttons."

    show chara_apple
    A "Hm. Strange."
    hide chara_apple

    show chara_lady
    L "What's wrong?"
    hide chara_lady

    show A_Talky
    A "All the lights in the elevator have turned off. I think it’s broken."
    hide A_Talky

    show chara_apple
    "Apple pushes the elevator buttons. Nothing happens."
    hide chara_apple

    show A_Sad
    A "I don't think we can send the elevator back down..."
    hide A_Sad

    show L_Talky
    L "Nothing we can do about it."
    hide L_Talky
    
    show chara_lady    
    L "Let's keep moving."

    L "The boys will be alright."
    hide chara_lady

    "Everyone leaves the elevator and enters the new room"

    scene bg_ppShut
    with Dissolve (.5)
    pause .5

    "There’s a door on the opposite end of the room and in the center a stone plate."

    "Apple steps on the stone plate. It sinks under her weight."

    scene bg_ppOpen
    "The door on the other of the room suddenly opens." 
    
    scene bg_ppShut
    "Apple steps off the stone plate and the door closes again."


    P "{i} A pressure plate! {/i}"

    show L_Talky
    L "It looks like that stone plate is connected to the door."
    hide L_Talky

    show chara_lady at right
    show chara_apple at left
    P "Is there anything around that we can leave on the pressure plate?"

    "Apple and Lady look around the room."
    hide chara_apple
    hide chara_lady

    show A_Talky
    A "There's nothing here."
    hide A_Talky

    show L_Talky
    L "One of us will need to stay behind and stand on that plate."
    hide L_Talky

    "I take a step onto the plate. Nothing happens."

    P "I think I'm too light."

    show L_Happy
    L "I might be too light as well!"
    hide L_Happy

    show chara_lady
    "Lady walks over to the plate and steps on it." 
    scene bg_ppOpen
    
    "The door opens."
    hide chara_lady

    show L_Annoyed
    L "Tisk."
    hide L_Annoyed

    scene bg_ppShut

    P "{i}Apple and Lady are heavy enough to open the door. One of them will have to stay behind...{/i}"

    "I turn to see Lady is talking to Apple"

    show L_Talky
    L "You should stay behind!"

    L "We can come back for you!"
    hide L_Talky

    show A_Sad
    A "Um..."
    hide A_Sad

    show chara_lady
    L "I would stay behind but I have two children waiting for me!"

    L "Please?!"
    hide chara_lady

    "Apple looks over to me."

    show A_Sad
    A "What do you think, [playername!t]?"
    hide A_Sad

    P "I think..."    

menu: 
    "You should stay behind, Apple.":
        jump leave_apple

    "Lady should stay behind":
        jump leave_lady

label leave_apple:
    show A_Sad
    P "We'll come back for you ok?"

    A "Alright."

    "Apple quietly stands on the stone plate. The door opens."
    scene bg_ppOpen

    A "I'll be here waiting."

    "I look back on Apple as I step through the door."

    hide A_Sad
    scene bg_black

    "The door shuts behind Lady."

    P "{i}Did Apple step off the plate?{/i}"

    jump Room_Child

label leave_lady:
    show L_Annoyed
    L "What?!"

    L "I have two children waiting for me."

    L "That fatty over there should use her weight for good for once!"
    hide L_Annoyed

    show A_Sad
    A "Um" 

    A "I guess I can stay behind..."

    P "No."
    hide A_Sad

    show L_Annoyed
    P "You can to stay behind!"

    P "We'll come back for you later!"

    L "That's a lie!"

    L "There's no way you are coming back for me!"
    hide L_Annoyed

    show chara_apple
    A "Yes we will!"
    hide chara_apple

    show L_Annoyed 

    L "No you won't!"

    P "You told Apple we'd come back for her!"

    L "..."

    L "Fine. I'll stay."

    "Lady quietly stands on the stone plate. The door opens."
    scene bg_ppOpen
    hide L_Annoyed

    show chara_apple
    P "C'mon. Let's go."

    A "Alright!"

    A "We'll call for help once we get out of here!"
    hide chara_apple

    show L_Annoyed
    L "..."

    "Apple and I exit the room leaving Lady beind."

    "Lady's eyes are filled with hate."
    hide L_Annoyed

    scene bg_black
    "The door shuts behind Apple"

    P "{i}Huh? Did Lady step off the plate?{/i}"

    jump Room_2Guards


return
