﻿# You can place the script of your game in this file.

# Declare images below this line, using the image statement.
# eg. image eileen happy = "eileen_happy.png"

# Declare characters used by this game.
define P = Character('[playername!t]', color="#b6d6e9")
define L = Character('Lady', color="#a186be")
define Gy = Character('Guy', color="#5c8906")

#images
image chara_lady = "NPC_Lady_norm.png"
image L_Happy = "NPC_Lady_happy.png"
image L_Annoyed = "NPC_Lady_annoyed.png"
image L_Talky = "NPC_Lady_talky.png"

image chara_guy = "NPC_Guy_norm.png"
image Gy_Talky = "NPC_Guy_talky.png"
image Gy_Annoyed = "NPC_Guy_annoyed.png"
image Gy_Happy = "NPC_Guy_happy.png"

image bg_black = "bg_black.png"
image bg_stairs = "bg_stairs.png"

# Variable


# The game starts here.
label Room_stairs:
    show chara_lady at left
    show chara_guy at right

    L "..."

    Gy "..."

    P "{i}No one has said anything since we got back in the elevator. {/i}"

    P "{i}Poor Geek. I wonder who else voted for him.{/i}" 
    
    P "{i}Why did no one vote for me.{/i}"
    
    "The elevator finally stops."

    L "Where are we now?"

    Gy "No idea."
    hide chara_lady
    hide chara_guy

    "The doors open."

    scene bg_stairs
    with Dissolve (.5)
    pause .5

    "There are two sets of stairs and nothing else."

    "One set leads up and the other leads down."

    show Gy_Talky
    Gy "I think I'm going to head up."
    hide Gy_Talky

    show chara_lady
    L "I'll take these stairs leading down then."
    hide chara_lady

    "And just like that both of them slowly disappear from view."

    P "{i}The lights in the elevator are off.{/i}"

    P "{i}Looks like I need to take the stairs.{/i}"

    P "{i}Up or down?{/i}"

    P "{i}Guy or Lady.{/i}"

    P "{i}Who to follow?{/i}"

menu:
    "Follow Guy and ascend the stairs":
        jump ascend_stairs

    "Follow Lady and descend the stairs":
        jump descend_stairs

label ascend_stairs:

    P "{i}I guess I'll head up.{/i}"

    jump Room_murder

label descend_stairs:

    P "{i}I wonder how far down this maze goes...{/i}"
    
    jump Room_Cat

return
