﻿# You can place the script of your game in this file.

# Declare images below this line, using the image statement.
# eg. image eileen happy = "eileen_happy.png"

# Declare characters used by this game.
define P = Character('[playername!t]', color="#b6d6e9")
define L = Character('Lady', color="#a186be")
define D = Character('Dog', color ="#a78160")

#images
image chara_lady = "NPC_Lady_norm.png"
image L_Happy = "NPC_Lady_happy.png"
image L_Annoyed = "NPC_Lady_annoyed.png"
image L_Talky = "NPC_Lady_talky.png"
image pup = "NPC_dog.png"


image bg_black = "bg_black.png"
image bg_Kitchen = "bg_kitchen.png"

# Variable

# The game starts here.
label Room_Dog:
    P "He's gone..."

    show L_Talky
    L "We better keep moving."
    hide L_Talky

    show chara_lady
    P "But, he's gone. He was right here and now he's gone."

    L "There's nothing we can do for him."

    L "There’s a door up ahead. Let’s go."
    hide chara_lady

    scene bg_Kitchen
    with Dissolve (.5)
    pause .5

    "The door lead into a kitchen."

    P "*grumble*"

    show L_Happy
    L "Hungry?"

    P "Yeah a bit."

    L "Me too. I didn't realize how hungry I am until now."

    P "I wonder how long it's been."
    hide L_Happy

    show chara_lady
    P "How long have we been trapped here..."

    L "I'm going to look around. Maybe there's something to eat here."

    hide chara_lady

    "Lady walks around the kitchen. She opens draws and cupboards, some empty others filled with pots and pans."

    show L_Annoyed
    L "I’m starving!"
    hide L_Annoyed

    show chara_lady
    L "There are spices and oil but nothing edible."

    P "Is there water?"

    L "Yeah, the taps are working just fine."

    P "Better then nothing I guess."
    hide chara_lady

    "I decided to take a rest after getting a drink of water. At some stage I fell asleep."

    show bg_black
    " "

    L "-ey..." 
    
    L "Hey...[playername!t]... wake up..."

    P "{i}Huh? What's going on?{/i}"
    hide bg_black
    with Dissolve (.5)

    show L_Talky
    "I open my eyes to see Lady standing infront of me with a knife."

    P "What the hell?!"
    hide L_Talky

    show chara_lady
    L "Shhh!"
    hide chara_lady

    "Lady points at my lap"

    show pup

    "I look down to see a dog on my lap."
    hide pup

    show chara_lady
    L "Looks like we have some food!"

    P "You want to kill a dog and EAT it?"

    L "It’s better than nothing! Do you want to starve to death?"
    hide chara_lady

menu: 
    "No, I guess I don't want to starve to death.":
        jump eat_dog

    "Yes, I'd rather starve to death than kill a dog.":
        jump save_dog

label eat_dog:
    P "{i}Lady is right. Who knows how much longer we'll be trapped here.{/i}"

    P "Ok. You are right. We should eat while we have the chance."

    show L_Happy
    L "Here take the knife. Do it while he's still on your lap..."
    hide L_Happy

    P "Ok. Sorry little pup."

    scene bg_black
    "With one quick motion the dog’s heartbeat stops."

    "..."
   
    P "{i}The cooked dog lasted for three days.{/i}"

    P "{i}It's been two days has passed since then. Lady and I never found a way out of the kitchen.{/i}"

    P "{i}Hm. There's a sharp pain in my stomac-{/i}"

    "END"
    hide bg_black

    jump dog_end

label save_dog:
    P "{i}There’s no way I'm killing a dog!{/i}"

    show L_Annoyed
    L "You would rather let us both starve to death then to murder a dog?"

    L "I'm not going to let that happen!"

    L "Give me that dog! NOW!"
    hide L_Annoyed

    "Lady lunges towards me with the knife." 

    "The dog and I dodge the attack just in time."

    P "What the hell? Stop!"

    show L_Annoyed
    L "There's no way I'm dying here!"
    hide L_Annoyed

    "Lady starts to chase me and the dog around the kitchen." 

    P "{i}I need to get out of here...{/i}"

    show pup
    D "Woof!"
    hide pup

    P "{i}Ah! That's right. The dog came from somewhere!{/i}"

    "The dog runs into a vent under a kitchen counter"

    P "{i}A vent!{/i}"

    scene bg_black
    " "

    P "{i}This vent is small and cramped. I barely fit.{/i}"

    P "{i}Lady won’t be able to follow me here.{/i}"

    P "{i}I need to keep moving but I'm safe for now.{/i}"

    P "And I have a new friend!"


    D "Woof!"

    P "Alright, time to find a escape..."

    D "Woof!"


    "END"
    jump dog_end

label dog_end:
return
