# You can place the script of your game in this file.

# Declare images below this line, using the image statement.
# eg. image eileen happy = "eileen_happy.png"

# Declare characters used by this game.
define P = Character('[playername!t]', color="#b6d6e9")
define A = Character('Apple', color="#f36bae")
define Gy = Character('Guy', color="#5c8906")

#images
image chara_apple = "NPC_Apple_norm.png"
image A_Happy = "NPC_Apple_happy.png"
image A_Sad = "NPC_Apple_sad.png"
image A_Talky = "NPC_Apple_talky.png"

image chara_guy = "NPC_Guy_norm.png"
image Gy_Talky = "NPC_Guy_talky.png"
image Gy_Annoyed = "NPC_Guy_annoyed.png"
image Gy_Happy = "NPC_Guy_happy.png"

image bg_black = "bg_black.png"
image bg_full = "bg_TankFull.png"
image bg_NoApple = "bg_TankGuy.png"
image bg_NoGuy = "bg_TankApple.png"
# Variable

# The game starts here.
label Room_Doors:
    show chara_guy at right
    show A_Sad at left
    A "This elevator is awfully small."
    hide A_Sad

    show chara_apple at left
    Gy "My girlfriend would hate this place. She has claustrophobia."
    hide chara_guy

    show Gy_Happy at right behind chara_apple
    Gy "Ah, my angel. I hope she’s doing ok."
    hide chara_apple

    show A_Happy at left
    A "What is your girlfriend like?"

    Gy "She's smart, funny and cute as a button."

    A "You are planning to propose tonight right? Hope she says yes!"
    hide Gy_Happy
    show chara_guy at right behind A_Happy
    Gy "..."

    Gy "She wil-"
    hide chara_guy
    hide A_Happy

    scene bg_black
    with Dissolve (.5)
    "Everything suddenly went black"

    " "
    P "{i}What happened...{/i}"

    scene bg_full
    with Dissolve (.5)

    P "{i}HUH!?{/i}"

    P "{i}Wasn’t I just in the elevator?{/i}"

    P "{i}Where am I now?{/i}"
 
    "There are two glass tanks in front of me."

    P "{i}Apple! Guy!{/i}"

    "Apple and Guy are trapped in glass tanks."

    "Water starts filling up the tanks!"

    P "{i}The tanks are already half way filled up...{/i}"
    
    P "{i}I'm not going to have enough time to save them both but I need to do something!{/i}"

    P "{i}Who should I save?{i}"

menu:
    "Apple":
        jump save_apple

    "Guy":
        jump save_guy

label save_apple:
    P "Apple! Hang on I'm coming to save you!"

    "With everything I have I tackle into Apple’s tank."

    scene bg_NoApple
    with Dissolve (.5)

    "The glass shatters. Water comes rushing out."

    "Apple is safe."

    "The same can't be said for Guy."

    jump Room_Cake

label save_guy:
    P "Hang on Guy! I'm coming to save you!"
    
    "With everything I have I tackle into Guy's tank."

    scene bg_NoGuy
    with Dissolve (.5)

    "The glass shatters. Water comes rushing out."

    "Guy is safe."

    "I look over to Apple."

    "Her tank is already filled up with water."

    "She's gone."
    jump Room_Chamber

return
