﻿# You can place the script of your game in this file.

# Declare images below this line, using the image statement.
# eg. image eileen happy = "eileen_happy.png"

# Declare characters used by this game.
define P = Character('[playername!t]', color="#b6d6e9")
define Gk = Character('Geek', color="#c7b299")

#images
image chara_geek = "NPC_Geek_norm.png"
image Gk_Annoyed = "NPC_Geek_annoyed.png"
image Gk_Happy = "NPC_Geek_happy.png"
image Gk_Sad = "NPC_Geek_sad.png"
image Gk_Talky = "NPC_Geek_talky.png"

image bg_black = "bg_black.png"
image bg_vent = "bg_vent.png"
image bg_vout = "bg_vent2.png"
image bg_OS = "bg_outside.png"

# Variable

# The game starts here.
label Room_Vent:
    P "I can’t believe she just fell like that. Where does that river even go?"

    show Gk_Sad
    Gk "I'm not sure."
    hide Gk_Sad

    show Gk_Talky
    Gk "Anyway. We need to keep moving."
    hide Gk_Talky

    show chara_geek
    Gk "There seems to be a door up ahead."

    Gk "Let's go."

    P "Alright."
    hide chara_geek

    scene bg_vent
    with Dissolve (.5)
    pause .5

    "The door is tall. Geek tries to push it open."

    show Gk_Talky
    Gk "I think something is blocking the door."
    hide Gk_Talky

    show chara_geek
    Gk "I can't get it to open."

    P "There's a vent here."
    hide chara_geek

    show Gk_Happy
    Gk "Great!"
    hide Gk_Happy

    show chara_geek
    Gk "Hm. It looks a bit too small for me. It's perfect for you."
    hide chara_geek

    show Gk_Happy
    Gk "Take the vent and scout ahead."

    Gk "Maybe the door can be opened from the other side."

    P "Alright."
    hide Gk_Happy

    scene bg_black
    " "

    P "{i}Alright. Out of that vent.{/i}"

    scene bg_OS
    with Dissolve (.5)
    pause .5

    P "{i}Hang on! I know this place.{/i}"

    P "{i}This is right near home!{/i}" 

    P "{i}All this time. I was right near home.{/i}"

    P "{i}Oh! I almost forgot Geek.{/i}"

    scene bg_vout
    with Dissolve (.5)
    pause .5

    "I turn around to see a door bolted up with planks of wood."

    P "{i}Geek is right behind this door.{/i}"

    P "{i}He needs me to save him... but what if for some reason I end up trapped in there again?{/i}"

    P "{i}Also this door. It’s on a main street. What if later others find this door and enter.{/i}"

    P "{i}What if opening this door leads to others getting trapped in this labyrinth?{/i}"
    
menu: 

    "Abandon Geek":
        jump abandon_geek 

    "Open the door":
        jump open_door

label abandon_geek:
    P "{i}If I open the door and free Geek, the door will no longer be sealed.{/i}"

    P "{i}Children might walk into the Labyrinth and be trapped forever.{/i}" 

    P "{i}I can't risk it.{/i}"

    P "{i}I'm sorry Geek! I hope you find another way out!{/i}"
    
    show bg_black
    " "

    "END"
    hide bg_black

    jump vent_end

label open_door:
    P "{i}I can't leave Geek behind!{/i}"

    P "{i}Just have to make sure we bolt up this door once Geek is freed!{/i}"

    "I start to pull at the boards of wood bolted to the door."

    "One comes off, then another and another."
    
    "Finally the last board is pulled off the door." 

    scene bg_black
    with Dissolve (.5)
    pause .5

    "I pull open the door with both hands."

    P "Hey! I'm back!"

    "END"
    jump vent_end

label vent_end:
return
